[pkg-wpa-devel] r1976 - in /wpa/trunk/debian: changelog get-orig-source uscan-hook watch

slh-guest at users.alioth.debian.org slh-guest at users.alioth.debian.org
Wed May 25 03:07:15 UTC 2016


Author: slh-guest
Date: Wed May 25 03:07:15 2016
New Revision: 1976

URL: http://svn.debian.org/wsvn/pkg-wpa/?sc=1&rev=1976
Log:
* fix debian/get-orig-source for wpa 2.6~.
* add debian/watch file for the custom tarball generation.

Added:
    wpa/trunk/debian/uscan-hook
    wpa/trunk/debian/watch
Modified:
    wpa/trunk/debian/changelog
    wpa/trunk/debian/get-orig-source

Modified: wpa/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-wpa/wpa/trunk/debian/changelog?rev=1976&op=diff
==============================================================================
--- wpa/trunk/debian/changelog	(original)
+++ wpa/trunk/debian/changelog	Wed May 25 03:07:15 2016
@@ -37,6 +37,8 @@
   * debian/*: fix spelling errors noticed by lintian.
   * drop the obsolete Debian menu entry for wpa_gui, according to the tech-ctte
     decision on #741573.
+  * fix debian/get-orig-source for wpa 2.6~.
+  * add debian/watch file for the custom tarball generation.
 
  -- Stefan Lippers-Hollmann <s.l-h at gmx.de>  Wed, 19 Aug 2015 03:00:19 +0200
 

Modified: wpa/trunk/debian/get-orig-source
URL: http://svn.debian.org/wsvn/pkg-wpa/wpa/trunk/debian/get-orig-source?rev=1976&op=diff
==============================================================================
--- wpa/trunk/debian/get-orig-source	(original)
+++ wpa/trunk/debian/get-orig-source	Wed May 25 03:07:15 2016
@@ -9,7 +9,12 @@
 fi
 
 # parse versions
-VERSION="$(dpkg-parsechangelog -l${CURDIR}/debian/changelog | sed -ne 's,^Version: *\([0-9]*:\)\?\(.*\)$,\2,p')"
+if [ -n "${2}" ]; then
+	VERSION="${2}"
+else
+	VERSION="$(dpkg-parsechangelog -l${CURDIR}/debian/changelog | sed -ne 's,^Version: *\([0-9]*:\)\?\(.*\)$,\2,p')"
+fi
+
 DEB_VER="$(echo ${VERSION} | sed 's,\-[0-9a-z\~\.]*,,')"
 UP_VER="$(echo ${DEB_VER} | sed 's,\~,\-,g')"
 SNAPDATE="$(echo ${DEB_VER} | sed 's/.*\+git\([0-9]*\).*/\1/')"
@@ -72,13 +77,22 @@
 	HS20="hs20"
 fi
 
+# add drop patches/ for wpa 2.6~, it's no longer available.
+if dpkg --compare-versions "${DEB_VER}" ge "2.6~"; then
+	PATCHES=""
+elif dpkg --compare-versions "${DEB_VER}" ge "2.5+" && [ "${SNAPDATE}" -ge "20160108" ]; then
+	PATCHES=""
+else
+	PATCHES="patches"
+fi
+
 # create new upstream tarball
 cd "${TEMP_SOURCE}" && \
 	git archive \
 		--format=tar \
 		--prefix="wpa-${UP_VER}/" \
 		"${UP_VER_TAG}" \
-			README COPYING $CONTRIBUTIONS patches src wpa_supplicant hostapd $HS20 | \
+			README COPYING $CONTRIBUTIONS $PATCHES src wpa_supplicant hostapd $HS20 | \
 				xz -c6 > "${ORIG_TARBALL}"
 if [ "$?" -ne 0 ] || [ ! -e "${ORIG_TARBALL}" ]; then
 	echo "ERROR: failure to create ${ORIG_TARBALL}" >&2

Added: wpa/trunk/debian/uscan-hook
URL: http://svn.debian.org/wsvn/pkg-wpa/wpa/trunk/debian/uscan-hook?rev=1976&op=file
==============================================================================
--- wpa/trunk/debian/uscan-hook	(added)
+++ wpa/trunk/debian/uscan-hook	Wed May 25 03:07:15 2016
@@ -0,0 +1,27 @@
+#!/bin/sh
+set -e
+
+# This script is invoked by uscan after downloading a new tarball
+
+if [ "x$1" != "x--upstream-version" ] || [ $# != 3 ]; then
+	echo "invalid arguments: $*" >&2
+	exit 2
+fi
+
+version="$2"
+filename="$3"
+
+rm -f "$filename" "../hostapd-${2}.tar.gz"
+merged_tarball="$(./debian/get-orig-source $(pwd) ${version} | awk '/^SUCCESS: New upstream tarball has been saved at/{print $9}')"
+if [ -n "${merged_tarball}" ] && [ -w "${merged_tarball}" ]; then
+	# write to ../tarballs/, if it exists - ../ otherwise
+	if [ ! -e "../wpa_${version}.orig.tar.xz" ]; then
+		ln -fs "${merged_tarball}" "../"
+	fi
+	echo "svn-upgrade ../$(basename ${merged_tarball}) -V ${version}" >&2
+	exit 0
+else
+	echo "failed to generate merged upstream tarball" >&2
+	exit 3
+fi
+

Added: wpa/trunk/debian/watch
URL: http://svn.debian.org/wsvn/pkg-wpa/wpa/trunk/debian/watch?rev=1976&op=file
==============================================================================
--- wpa/trunk/debian/watch	(added)
+++ wpa/trunk/debian/watch	Wed May 25 03:07:15 2016
@@ -0,0 +1,5 @@
+# Find hostapd tarball in http://w1.fi/releases/.
+# We need to generate a merged wpa tarball from wpa_supplicant and hostapd,
+# so use our own script instead of uupdate.
+version=3
+http://w1.fi/releases/hostapd-([\.0-9]+)\.tar\.gz debian debian/uscan-hook




More information about the Pkg-wpa-devel mailing list